Package tigase.server.cluster.strategy.cmd

# Class UserConnectedCmd

java.lang.Object
tigase.cluster.api.CommandListenerAbstract
tigase.server.cluster.strategy.cmd.CachingCmdAbstract
tigase.server.cluster.strategy.cmd.TrafficSyncCmdAbstract
tigase.server.cluster.strategy.cmd.UserConnectedCmd

All Implemented Interfaces:
  `Comparable<tigase.cluster.api.CommandListener>`, `tigase.cluster.api.CommandListener`

public class UserConnectedCmd extends TrafficSyncCmdAbstract

Author:
  kobit

- ## Field Summary

  ### Fields inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `CONNECTION_ID, CREATION_TIME, LOGIN_TIME, PRESENCE_TYPE_INITIAL, PRESENCE_TYPE_KEY, RESOURCE, SM_ID, USER_ID, XMPP_SESSION_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserConnectedCmd(String name, OnlineUsersCachingStrategy strat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeCommand(tigase.xmpp.jid.JID fromNode, Set<tigase.xmpp.jid.JID> visitedNodes, Map<String,String> data, Queue<tigase.xml.Element> packets)`

  ### Methods inherited from class tigase.server.cluster.strategy.cmd.TrafficSyncCmdAbstract

  `getSyncInTraffic, getSyncOutTraffic, incSyncInTraffic, incSyncOutTraffic`

  ### Methods inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `getConnectionRecord, getStrategy`

  ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

  `compareTo, equals, getName, getPriority, getStatistics, hashCode, setName, setPriority`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserConnectedCmd

    public UserConnectedCmd(String name, OnlineUsersCachingStrategy strat)

- ## Method Details

  - ### executeCommand

    public void executeCommand(tigase.xmpp.jid.JID fromNode, Set<tigase.xmpp.jid.JID> visitedNodes, Map<String,String> data, Queue<tigase.xml.Element> packets) throws tigase.cluster.api.ClusterCommandException
    Throws:
      `tigase.cluster.api.ClusterCommandException`